GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
bpstats Struct Reference

`#include "breakpoint.h"`

## Public Member Functions
| bpstats ()
| bpstats (struct bp_location *bl, bpstat **bs_link_pointer)
| ~bpstats ()
| bpstats (const bpstats &)
bpstats & | operator= (const bpstats &)=delete

## Public Attributes
bpstat | next
struct bp_location * | bp_location_at
struct breakpoint * | breakpoint_at
counted_command_line | commands
struct value * | old_val
char | print
char | stop
enum bp_print_how | print_it

## Detailed Description

Definition at line 1087 of file breakpoint.h.

## Constructor & Destructor Documentation

## ◆ bpstats() [1/3]

bpstats::bpstats | ( |  | ) |

Definition at line 4746 of file breakpoint.c.

## ◆ bpstats() [2/3]

bpstats::bpstats | ( | struct bp_location * | bl,
|  | bpstat ** | bs_link_pointer
| ) |  |

Definition at line 4731 of file breakpoint.c.

References incref_bp_location(), and next.

## ◆ ~bpstats()

bpstats::~bpstats | ( |  | ) |

Definition at line 4200 of file breakpoint.c.

References bp_location_at, decref_bp_location(), old_val, and value_free().

## ◆ bpstats() [3/3]

bpstats::bpstats | ( | const bpstats & | other | ) |

Definition at line 4229 of file breakpoint.c.

References bp_location_at, incref_bp_location(), old_val, release_value(), and value_copy().

## Member Function Documentation

## ◆ operator=()

bpstats& bpstats::operator= | ( | const bpstats & |  | ) |
| delete

## Member Data Documentation

## ◆ bp_location_at

struct bp_location* bpstats::bp_location_at

Definition at line 1116 of file breakpoint.h.

Referenced by bkpt_print_it(), bpstat_check_breakpoint_conditions(), bpstat_check_watchpoint(), bpstats(), check_status_exception(), print_it_catch_syscall(), print_it_watchpoint(), and ~bpstats().

## ◆ breakpoint_at

struct breakpoint* bpstats::breakpoint_at

Definition at line 1122 of file breakpoint.h.

Referenced by bkpt_print_it(), bpfinishpy_handle_stop(), bpstat_check_breakpoint_conditions(), bpstat_check_watchpoint(), bpstat_explains_signal(), bpstat_find_breakpoint(), bpstat_remove_bp_location(), bpstat_run_callbacks(), bpstat_stop_status(), breakpoint_auto_delete(), check_status_catch_solib(), check_status_exception_catchpoint(), check_status_watchpoint(), emit_stop_event(), internal_bkpt_check_status(), internal_bkpt_print_it(), print_bp_stop_message(), print_it_catch_exec(), print_it_catch_fork(), print_it_catch_solib(), print_it_catch_syscall(), print_it_catch_vfork(), print_it_exception(), print_it_exception_catchpoint(), print_it_masked_watchpoint(), print_it_ranged_breakpoint(), print_it_watchpoint(), signal_catchpoint_print_it(), and watchpoint_check().

## ◆ commands

counted_command_line bpstats::commands

Definition at line 1125 of file breakpoint.h.

Referenced by bpstat_clear_actions(), bpstat_do_actions_1(), bpstat_stop_status(), and dprintf_after_condition_true().

## ◆ next

bpstat bpstats::next

Definition at line 1099 of file breakpoint.h.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), bpstat_causes_stop(), bpstat_clear(), bpstat_clear_actions(), bpstat_copy(), bpstat_do_actions_1(), bpstat_explains_signal(), bpstat_find_breakpoint(), bpstat_num(), bpstat_print(), bpstat_remove_bp_location(), bpstat_run_callbacks(), bpstat_stop_status(), bpstats(), breakpoint_auto_delete(), and emit_stop_event().

## ◆ old_val

struct value* bpstats::old_val

Definition at line 1128 of file breakpoint.h.

Referenced by bpstat_clear_actions(), bpstat_remove_bp_location(), bpstats(), print_it_watchpoint(), watchpoint_check(), and ~bpstats().

## ◆ print

char bpstats::print

Definition at line 1131 of file breakpoint.h.

Referenced by bpstat_stop_status(), and internal_bkpt_check_status().

## ◆ print_it

enum bp_print_how bpstats::print_it

Definition at line 1138 of file breakpoint.h.

Referenced by bpstat_check_watchpoint(), bpstat_stop_status(), check_status_catch_solib(), and print_bp_stop_message().

## ◆ stop

char bpstats::stop

Definition at line 1134 of file breakpoint.h.

Referenced by bpstat_causes_stop(), bpstat_check_breakpoint_conditions(), bpstat_check_watchpoint(), bpstat_stop_status(), breakpoint_auto_delete(), check_status_catch_solib(), check_status_exception(), check_status_exception_catchpoint(), dprintf_after_condition_true(), and internal_bkpt_check_status().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/breakpoint.h
- /tmp/gdb-8.1/gdb/breakpoint.c